Subject: Re: ppc32: Weird process scheduling behaviour with 2.6.24-rc

From: Ingo Molnar <[email-masked]>
Date: Mon, 28 Jan 2008 13:56:31 +0100

* Peter Zijlstra <[email-masked]> wrote:

> > i think it would be OK to do half of this: make it easier to preempt 
> > a +nice task. Michel, do you really need the -nice portion as well? 
> > It's not a problem to super-preempt positively reniced tasks, but it 
> > can be quite annoying if negatively reniced tasks have super-slices.
> 
> This should do that (unless I need a stronger cup of tea).

cool - thanks Peter. Michel, could you check Peter's patch, does it 
resolve all the interactivity problems you've been seeing?

	Ingo